location /AutoDiscover/ {
    proxy_pass          http://$z_push$request_uri;
    include             snippets/proxy-headers.conf;
}

location /Autodiscover/ {
    proxy_pass          http://$z_push$request_uri;
    include             snippets/proxy-headers.conf;
}

location /autodiscover/ {
    proxy_pass          http://$z_push$request_uri;
    include             snippets/proxy-headers.conf;
}

location /Microsoft-Server-ActiveSync {
    proxy_pass          http://$z_push$request_uri;
    include             snippets/proxy-headers.conf;
}
